#include "stm32f1xx.h"
#include "i2c.h"
#include "uart.h"
#include "stdio.h"

uint8_t rtc_data[3];

int bcd_to_decimal(unsigned char x) {
    return x - 6 * (x >> 4);
}



int main(void)
{
	uart2_init();
	i2c_init();
	i2c1_scan_bus();
	while(1)
	{
		i2c1_readMemoryMulti(0x68,0x00,&rtc_data,3);
		for (uint8_t i=0;i<3;i++)
		{
			rtc_data[i]=bcd_to_decimal(rtc_data[i]);
		}
		printf("RTC time is: %d:%d:%d\r\n", rtc_data[2],rtc_data[1],rtc_data[0]);
		for (int i=0;i<100000;i++);
	}
}
